[@bigcommerce/checkout-sdk](../README.md) / CheckoutButtonErrorSelector

# Class: CheckoutButtonErrorSelector

## Table of contents

### Constructors

- [constructor](CheckoutButtonErrorSelector.md#constructor)

### Methods

- [getDeinitializeButtonError](CheckoutButtonErrorSelector.md#getdeinitializebuttonerror)
- [getInitializeButtonError](CheckoutButtonErrorSelector.md#getinitializebuttonerror)

## Constructors

### constructor

• **new CheckoutButtonErrorSelector**(): [`CheckoutButtonErrorSelector`](CheckoutButtonErrorSelector.md)

#### Returns

[`CheckoutButtonErrorSelector`](CheckoutButtonErrorSelector.md)

## Methods

### getDeinitializeButtonError

▸ **getDeinitializeButtonError**(`methodId?`): `undefined` \| `Error`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | [`CheckoutButtonMethodType`](../enums/CheckoutButtonMethodType.md) |

#### Returns

`undefined` \| `Error`

___

### getInitializeButtonError

▸ **getInitializeButtonError**(`methodId?`): `undefined` \| `Error`

#### Parameters

| Name | Type |
| :------ | :------ |
| `methodId?` | [`CheckoutButtonMethodType`](../enums/CheckoutButtonMethodType.md) |

#### Returns

`undefined` \| `Error`
